<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>A-Index</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="A-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<a href="index-21.html">X</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/LoadSaveFiles.DefaultFileFilter.html#accept-java.io.File-">accept(File)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/LoadSaveFiles.DefaultFileFilter.html" title="class in de.rowlo.tridchess.model.trid">LoadSaveFiles.DefaultFileFilter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/BoardView.html#addFigureImage-java.lang.String-java.awt.image.BufferedImage-">addFigureImage(String, BufferedImage)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a></dt>
<dd>
<div class="block">Addes an image for a figure to the image map.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/LogView.html#addLogEntry-de.rowlo.tridchess.model.trid.Move-">addLogEntry(Move)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/LogView.html" title="class in de.rowlo.tridchess.gui">LogView</a></dt>
<dd>
<div class="block">Adds a move to the log entry.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/ChessUi.html#ALLOWED_FIELD_COLOR">ALLOWED_FIELD_COLOR</a></span> - Static variable in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a></dt>
<dd>
<div class="block">Property key name for allowed field's color.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/ChessUi.html#ALLOWED_PIN_COLOR">ALLOWED_PIN_COLOR</a></span> - Static variable in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a></dt>
<dd>
<div class="block">Property key name for allowed pin's color.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#ALLOWED_SHADE">ALLOWED_SHADE</a></span> - Static variable in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Highlighting used for a field.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#ALLOWED_SHADE">ALLOWED_SHADE</a></span> - Static variable in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>
<div class="block">Highlighting used for a pin.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#applyCheckCounterMeasures-java.util.ArrayList-java.util.ArrayList-">applyCheckCounterMeasures(ArrayList&lt;Field&gt;, ArrayList&lt;Field&gt;)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>
<div class="block">Keep only fields in move and attack list, that are in the counter check
 fields list.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/util/BoardUtils.html#arrayToString-int:A-">arrayToString(int[])</a></span> - Static method in class de.rowlo.tridchess.util.<a href="../de/rowlo/tridchess/util/BoardUtils.html" title="class in de.rowlo.tridchess.util">BoardUtils</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../de/rowlo/tridchess/util/ArrayUtils.html" title="class in de.rowlo.tridchess.util"><span class="typeNameLink">ArrayUtils</span></a> - Class in <a href="../de/rowlo/tridchess/util/package-summary.html">de.rowlo.tridchess.util</a></dt>
<dd>
<div class="block">Figure and Field list specific utilities.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/util/ArrayUtils.html#ArrayUtils--">ArrayUtils()</a></span> - Constructor for class de.rowlo.tridchess.util.<a href="../de/rowlo/tridchess/util/ArrayUtils.html" title="class in de.rowlo.tridchess.util">ArrayUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/ChessUi.html#ATTACK_FIELD_COLOR">ATTACK_FIELD_COLOR</a></span> - Static variable in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a></dt>
<dd>
<div class="block">Property key name for attack field's color.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#ATTACK_SHADE">ATTACK_SHADE</a></span> - Static variable in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Highlighting used for a field.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/ChessUi.html#ATTACKER_FIELD_COLOR">ATTACKER_FIELD_COLOR</a></span> - Static variable in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a></dt>
<dd>
<div class="block">Property key name for attacker field's color frame.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#ATTACKER_SHADE">ATTACKER_SHADE</a></span> - Static variable in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Highlighting used for a field.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<a href="index-21.html">X</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
